
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux用户管理类命令 / 憋错料</title>

    <meta name="description" content="Linux用户管理类命令 Linux用户管理类命令详解 实验环境:RHEL6.5 ·用户管理命令 -&gt;useradd 创建用户的命令,格式: useradd [options] USERNAME -u选项表示指定UID,ID号必须大于等于500,因为创建的是一般用户,且ID号不能重复 -g选项表示指定基本组,该指定的组必须事先存在 -g后面跟组名或GID均可 UID与GID不同的用户被称为特殊用户,我们在系统中新建用户的时候,如果不特意指定新建用户的ID号的话,那么我们新建用户的ID号默认为我们的/etc/pass ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux用户管理类命令</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>Linux用户管理类命令详解</strong></p>
<p><strong>实验环境：RHEL6.5<br /></strong></p>
<p>·用户管理命令<strong><br /></strong></p>
<p>-&gt;useradd</p>
<p>创建用户的命令，格式：</p>
<p>useradd [options] USERNAME</p>
<p>-u选项表示指定UID，ID号必须大于等于500，因为创建的是一般用户，且ID号不能重复</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvQkIvd0tpb0wxZkk2MVBTLUhWNkFBQVZ2Z3E0amxzODk1LnBuZw==.jpg" /></p>
<p>-g选项表示指定基本组，该指定的组必须事先存在</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkIvd0tpb20xZkk3TWpCYkdKOUFBQksxZFREcndJOTUwLnBuZw==.jpg" /></p>
<p>-g后面跟组名或GID均可</p>
<p>UID与GID不同的用户被称为特殊用户，我们在系统中新建用户的时候，如果不特意指定新建用户的ID号的话，那么我们新建用户的ID号默认为我们的/etc/passwd文件中最后一个用户而ID号加1：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkIvd0tpb0wxZkk3ZmFSanY0T0FBQkVmZGQzQy1ZNTk1LnBuZw==.jpg" /></p>
<p>-G选项，表示指定附加组，同样组必须事先存在</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvQkIvd0tpb0wxZkk4U2FBT0tBUEFBQkdRaGFEOUV3Nzg4LnBuZw==.jpg" /></p>
<p>指定附加组名或者附加组的ID号均可，基本组的ID号存在于/etc/passwd文件中的第四个字段，附加组的ID存在于/etc/group文件中的第三个字段，并且新建组的GID也是默认依次加1的，/etc/group文件中的最后一个字段表示以此组为附加组的用户列表：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvQkMvd0tpb20xZkk4bFh4ZE04cEFBQXJIOEROLVgwNjg2LnBuZw==.jpg" /></p>
<p>-r选项表示新建系统用户</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvQkIvd0tpb0wxZkk4dTdDZjFaQkFBQVlqaGFGcURNNjUwLnBuZw==.jpg" /></p>
<p>-c选项表示添加注释信息(COMMENT)</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkIvd0tpb0wxZkk5R0d6aXFlaUFBQWJpSVJ3YVdNNzQ1LnBuZw==.jpg" /></p>
<p>-d选项表示指定某个目录为新建用户的家目录</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkMvd0tpb20xZkk5WFBEaGwwUUFBQTBqSTZ3Vnp3MjEzLnBuZw==.jpg" /></p>
<p>-s选项表示指定用户的shell路径</p>
<p>我们的系统中的/etc/shells文件中指定了，当前系统的可用的安全的shell</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvQkMvd0tpb20xZkktbnVqUU1tZEFBQVNUX0tNaW8wNzA0LnBuZw==.jpg" /></p>
<p>也可以输出环境变量(SHELL、HISTSIZE以及PATH)的内容来查看当前用户的shell：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkMvd0tpb20xZkktdzd4SzNXWUFBQU5RbzJQdzhzOTM3LnBuZw==.jpg" /></p>
<p>我们新建用户的默认shell为/bin/bash，但是我们可以使用-s选项来为新建的用户指定shell</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkMvd0tpb0wxZkktNWZBcFZOekFBQVpjTWxLZ3JzMTMyLnBuZw==.jpg" /></p>
<p>-mk选项，这两个选项通常是一起使用的</p>
<p>-m表示强行给用户创建家目录，-k表示/etc/skel(骨架，bash的配置文件)文件放入到用户的家目录中</p>
<p>-M选项，表示强行不给用户创建家目录</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvQkMvd0tpb20xZklfV0RCMU9pNUFBQXYzMmlhR3NzMDY0LnBuZw==.jpg" /></p>
<p>我们新建用户的信息如何设置，都在/etc/login.defs文件里面：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvQkMvd0tpb0wxZklfZVBSOXdZX0FBQzNoelVnZWhzMzk4LnBuZw==.jpg" /></p>
<p>-&gt;userdel</p>
<p>删除用户的命令</p>
<p>使用格式：userdel [options] USERNAME</p>
<p>默认不删除用户的家目录</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDUvd0tpb0wxZk16SHJCU1FaTEFBQWdzN3dkS1VrMDA2LnBuZw==.jpg" /></p>
<p>-r选项表示删除用户的同时删除用户的家目录</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDYvd0tpb20xZk16T0h5eldnRUFBQXlraXl4eGQwNjQyLnBuZw==.jpg" /></p>
<p>-&gt;usermod(modify)</p>
<p>修改用户账号属性信息的命令</p>
<p>使用格式：usermod options ... USERNAME</p>
<p>-u选项表示修改用户的UID：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDYvd0tpb0wxZk0wWmZRWS1GbkFBQVNhaUwzeDc4NDU5LnBuZw==.jpg" /></p>
<p>-g选项表示修改用户的基本组ID，即gid，组必须事先存在：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDYvd0tpb0wxZk0xRENRNWQ0YkFBQXZRM1FsbW5BMTkxLnBuZw==.jpg" /></p>
<p>-G选项表示修改用户的附加组ID，即GID，并且此前用户的附加组被覆盖，组也必须事先存在：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDYvd0tpb0wxZk0xUHJDU2ktakFBQXlsb0NyNXVRMDA0LnBuZw==.jpg" /></p>
<p>-a与-G选项一起使用表示追加GID至用户，此前用户的附加组不被覆盖，组也必须事先存在：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDYvd0tpb0wxZk0xaEh6T3hRVkFBQkQwZy1UZDNnNTAzLnBuZw==.jpg" /></p>
<p>-c选项表示修改用户的注释信息：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDYvd0tpb0wxZk0yQWZDWVNRaUFBQXJnc1JtZk1vMjk4LnBuZw==.jpg" /></p>
<p>-d选项表示表示修改用户家目录，用户原来家目录中的文件则无法访问：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDYvd0tpb0wxZk0yc0NBYTNCVUFBQTBhY2VDQm8wNDExLnBuZw==.jpg" /></p>
<p>-d与-m选项一起使用表示修改用户的家目录，并且将用户原先家目录中的内容移动至新建的目录中去：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDYvd0tpb0wxZk0zQVNTeFk0ZUFBQTJyQjdiNVlvMTM2LnBuZw==.jpg" /></p>
<p>-d选项后面必须紧跟新建的家目录名，并且家目录不能事先新建</p>
<p>所有组合选项均可以使用选项合并！！！</p>
<p>-s选项表示修改用户的默认shell：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDYvd0tpb0wxZk0zUDJqeVdfREFBQV9Jb1NJaURROTAxLnBuZw==.jpg" /></p>
<p>-l选项表示修改用户的登录名：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb20xZk0zZ2FDNkdadEFBQXBLYXFVNUFrMTM1LnBuZw==.jpg" /></p>
<p>-e选项表示指定用户密码的有效期(年-月-日)：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDcvd0tpb20xZk0zMEdoVU50QUFBQTY0QXRlN0RrMjA4LnBuZw==.jpg" /></p>
<p>-f选项表示指定用户账号的非活动时间，即账号的禁用宽限期：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb20xZk0zX3lSYVFRVkFBQTc4UHpDOHpJMDY5LnBuZw==.jpg" /></p>
<p>-L选项表示锁定账号：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb20xZk01WlNqZVAwNUFBQWgtTllabm5FOTg4LnBuZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb20xZk01YUREa2lFSUFBQXpSclBiOWxvNTkzLnBuZw==.jpg" /></p>
<p>-U选项表示解锁账号：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb20xZk01Y2FDZHhnQkFBQUw0QVlKVXFRNTk0LnBuZw==.jpg" /></p>
<p>-&gt;passwd</p>
<p>用户的密码管理命令，使用格式：passwd [USERNAME]</p>
<p>不加USERNAME，表示修改当前用户的密码：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb20xZk02QnpnZWxld0FBQWIxM3F6dlg4MTUxLnBuZw==.jpg" /></p>
<p>加上USERNMAE，表示修该指定用户的密码：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb0wxZk02SHpES1BuSEFBQXRWb0NKcDhBNzk5LnBuZw==.jpg" /></p>
<p>passwd --stdin(standard input)表示从标准输入(即键盘)中读取密码：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb0wxZk03TU9BSlRxbUFBQWJKQmpkNGRBNDExLnBuZw==.jpg" /></p>
<p>但是，我们Linux的一条重要哲学思想是尽量避免捕获用户接口，即尽量避免与用户交互：</p>
<p>因此我们我们可以使用的如下的方法，来修改用户的密码</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDgvd0tpb20xZk03WTJ6OVllekFBQVhxNnpvSFh3NzY2LnBuZw==.jpg" /></p>
<p>-l选项表示锁定用户，类似于usermod -L命令：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDcvd0tpb0wxZk03amZTWngxMUFBQVMyWU9DbkxBMDM1LnBuZw==.jpg" /></p>
<p>-u选项表示解锁用户，类似于usermod -U命令：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb0wxZk03azJqNk4ybkFBQWJlNWZjLVdZNTc3LnBuZw==.jpg" /></p>
<p>-d选项表示删除用户的密码，空密码的用户无法登录系统：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb0wxZk03c19DckxEWUFBQVNyUnc5UkhNNTIxLnBuZw==.jpg" /></p>
<p>-&gt;chsh(change shell)</p>
<p>修改用户默认shell的命令，使用格式：chsh USERNAME</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDYvd0tpb0wxZk01bzZSQmp6S0FBQjF0T2xlSDRNNTU1LnBuZw==.jpg" /></p>
<p>-&gt;chfn(change finger)</p>
<p>修改用户的注释信息的命令，使用格式：chfn USERNAME</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb20xZk01M2JCTXBhb0FBQkxmdktJdlVFOTgwLnBuZw==.jpg" /></p>
<p>-&gt;finger</p>
<p>查看用户账号信息的命令</p>
<p>使用格式：finger USERNAME</p>
<p>-&gt;id</p>
<p>查看用户账号属性信息的命令</p>
<p>使用格式：id [options] USERNAME</p>
<p>后面不跟用户名表示显示当前用户的账号属性信息</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDUvd0tpb0wxZk16WVRDXzR4SkFBQVhuWWlqMlZ3NzEyLnBuZw==.jpg" /></p>
<p>后面跟上用户名表示该用户的账号属性信息</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDUvd0tpb0wxZk16Y2Z5bnQyRUFBQVNhTTZ2SVdFNTg4LnBuZw==.jpg" /></p>
<p>-u选项表示显示用户的UID</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDYvd0tpb20xZk16aGlTNlVnOUFBQUxyZ2N6b3MwNjc2LnBuZw==.jpg" /></p>
<p>-g选项表示显示用户基本组的GID</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDYvd0tpb20xZk16b3JSSGJWSUFBQU1CUGI2aUQwMjEwLnBuZw==.jpg" /></p>
<p>-G选项表示显示用户所有组的ID</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDYvd0tpb20xZk16djJEbURKLUFBQU1HbS1qYXJzNzQxLnBuZw==.jpg" /></p>
<p>-n选项表示只打印用户的名称</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDYvd0tpb0wxZk16OW5BcWxoV0FBQVJVNE9XRDdrNDI1LnBuZw==.jpg" /></p>
<p>-&gt;chage(change age)：该命令用来改变用户的外围属性</p>
<p>用来改变用户密码过期信息的命令，使用格式：chage [options] USERNAME</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDkvd0tpb0wxZk5NYlhSN0NRRkFBQkg0eGNPdHdVODQ1LnBuZw==.jpg" /></p>
<p>-d选项表示修改密码最近一次的修改时间：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvREIvd0tpb20xZk5NcGppMVZMbkFBQVpDektBQk5FNTA2LnBuZw==.jpg" /></p>
<p>-E选项表示修改账号的有效期：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvREIvd0tpb20xZk5NejJSRVd5Y0FBQXFldlZhamZZNTg5LnBuZw==.jpg" /></p>
<p>-I选项表示修改账号的禁用宽限期：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvREIvd0tpb20xZk5NNjZUZE1nTEFBQW51STlIUkNzNjAwLnBuZw==.jpg" /></p>
<p>-m选项表示修改账号密码的最短使用期限：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvREIvd0tpb20xZk5OQnlqM1dybEFBQW81NmsteXo4MTU5LnBuZw==.jpg" /></p>
<p>-M选项表示修该账号密码的最长使用期限：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvREIvd0tpb20xZk5OSHpBQ2o0ZkFBQXBNZHVmUTRVMzIwLnBuZw==.jpg" /></p>
<p>-W选项表示修改账号的账号使用到期警告时间：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvREIvd0tpb20xZk5OTi1TX2t3TEFBQXBuUHh4VDgwNjIyLnBuZw==.jpg" /></p>
<p>-&gt;pwck(passwd check)：检查用户账号信息完整性的命令</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb0wxZk03MkdEaTBUUUFBQXkyZGk3VDhVOTI4LnBuZw==.jpg" /></p>
<p>·组管理命令</p>
<p>-&gt;groupadd</p>
<p>创建用户组的命令，使用格式：groupadd [options] GROUPNAME</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDgvd0tpb20xZk04R2VDU0VhSEFBQVQ3cnhnSmN3NDcwLnBuZw==.jpg" /></p>
<p>-g选项表示指定基本组的GID：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDgvd0tpb20xZk04Tkhqb3VOWEFBQVd1U241c040ODE3LnBuZw==.jpg" /></p>
<p>-r选项表示添加系统组(系统组没有家目录)：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb0wxZk04WlNEOC1JNkFBQWVFdS0xZmRrOTQxLnBuZw==.jpg" /></p>
<p>-&gt;groupdel</p>
<p>删除用户组的命令，使用格式：groupdel GROUPNAME</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDgvd0tpb20xZk04MGVDWGw5eUFBQXRTWEJlVmFZMjM2LnBuZw==.jpg" /></p>
<p>-&gt;groupmod</p>
<p>修改用户组的属性信息的命令，使用格式：groupmod [options] GROUPNAME</p>
<p>-g选项表示修改用户组的GID：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODYvRDcvd0tpb0wxZk04a214SThjX0FBQXVSRi03T0RRODUzLnBuZw==.jpg" /></p>
<p>-n选项表示修改用户组的组名：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODYvRDcvd0tpb0wxZk04cmJqTTBTT0FBQWg1ZXRXRFpFNjI0LnBuZw==.jpg" /></p>
<p>-&gt;gpasswd</p>
<p>给用户组添加密码的命令，使用格式：gpasswd USERNAME</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODYvRDcvd0tpb0wxZk04OS1SeEhjNUFBQXdTc25fRU4wMjc0LnBuZw==.jpg" /></p>
<p>·权限管理命令</p>
<p>-&gt;chown</p>
<p>-&gt;chgrp</p>
<p>-&gt;chmod</p>
<p>-&gt;umask</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 16:49:56 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/linux/" title="linux">linux</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux用户管理类命令的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVb17dM.html" rel="bookmark">Linux用户管理类命令总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用户和权限管理: 1.用户是什么? 用户是实现权限管理的基础,可以标示资源可以被哪些用户使用(读.写.执行),进行资源分配,是安全权限模型的核心要素之一. 2.没有用户,可否?可以 密码的作用:用户认证,在多用户的操作系统: 保存用户的方式---信息库:1用户.2密码 名称解析:User IDentifier, UID 用户容器:组(group),角色(role) 组名,Group IDentifier, GID 解析:在数据库按搜索码查找到对应的条目,并找与之对应额外其它数据过程 可以用于用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49bvXDM.html" rel="bookmark">Linux学习笔记之常用用户管理类命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始这个话题之前应该先了解下/etc/shadow这个文件中的构造,对于列所代表的意思大体有个了解,先以ftpuser账户来介绍:后边会给出一些相应的例题来做使用说明补充(好吧我承认,这,又是一篇博客作业^_^万恶的标题党). ftpuser:$6$T9WUEls/$AK4hTO1bZ7MXW7VoMej8e7tVG1qqxPy5axVJAAIz4m6uuzZmoYDcQjUG2XlXx7klx/i8yJ1luZDtoKYwJAMa4.:16929:0:99999:7:5:: 总共有9个字段被&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RmP2qM.html" rel="bookmark">Linux用户管理各命令的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.首先我们来了解下用户管理和权限管理的机制 A:认证机制 identity(username/password)  用户名/密码 A:permission   权限 mode   模式 ownership   所有权 二.Linux下的用户和组的介绍 用户:USERNAME/password 用户的UID(user identity)从:0-65535 用户分为:管理员.普通用户&gt;系统用户.登录用户. 管理员UID为:0 普通用户UID为:1-60000 组:GROUPNAME/GID 管理员			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35PqY10.html" rel="bookmark">关于linux用户管理各命令的备忘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这算是51CTO博客上的第一帖,先贴上笔记,然后慢慢来详解: 理一下后续的思路: 1.命令的用法 2.命令使用的场景 3.如果善于使用这些命令,提高系统的安全性. 用户管理和权限管理基础知识: 基本是基于3A原则(Authencattion/Authorzation/Accounting)认证/授权/审计或记账 Linux系统的用户认证一般采用用户名+密码方式. 用户:用户名/UID 每个用户都有一个唯一的UID 用户的UID:0-65535 管理员UID:0 普通用户:1-60000 系统用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXnGVz3.html" rel="bookmark">Linux用户管理常用命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇我们讲一讲用户管理的相关内容,涉及到/etc/passwd,/etc/shadow,/etc/group三个用户账号相关的文件以及以下用户管理相关的命令:useradd, usermod, userdel, passwd, groupadd, groupdel, id, su, chage, chfn, chsh, newgrp, gpasswd. 一.passwd文件 ①account:用户名 ②password:密码占位符 ③UID:用户ID号 ④GID:基本组ID号 ⑤GECOS:注释			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xeWQ73.html" rel="bookmark">Linux 用户管理相关命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.root用户创建用户,同时创建 /home 下用户目录,将此用户加入 sudo 组. useradd walker -m -g sudo 2.root用户创建或修改密码. passwd walker *** walker ***			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ejQjv3.html" rel="bookmark">linux用户管理常用命令总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				useradd user2 添加用户user2 useradd -u 1004 -g   grp2 user3 添加用户指定uid,并添加到grp2组 useradd -u 1005 -g   grp2 -d /home/aiker11 -s /sbin/nologin user4 添加用户并指定uid,组,家目录,禁止登录shell useradd -M user5 创建用户,不创建家目录 groupadd -g 1010 grp3 创建用户组并指定gid adduser user8 创建用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x8QPk0.html" rel="bookmark">linux用户管理相关命令参数对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
							</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41a22J4.html" rel="bookmark">2018-01-08 Linux目录管理类命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				cd, pwd, ls mkdir, rmdir, tree mkdir [options] /path/to/somewhere-p: 存在于不报错,且可自动创建所需的各目录:-v: 显示详细信息-m MODE: 创建目录时直接指定权限: tree: -d: 只显示目录-L level:指定显示的层级数目-P pattern: 只显示由指定pattern匹配到的路径: rmdir:删除空目录rmdir [OPTION]... DIRECTORY...-v: 显示过程: 练习:(1) 如何创建/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kLwb3.html" rel="bookmark" class="title">Java实现Web页面前数字字母验证码实现</a>
					<div>
						最近公司做项目开发中用到了验证码实现功能,将实现代码分享出来, 前段页面实现代码: &lt;ul&gt;    &lt;li&gt;&lt;label&gt;验证码:&lt;/label&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzYOl4.html" rel="bookmark" class="title">html表格设计</a>
					<div>
						html部分,biaoge.html &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEAYj0.html" rel="bookmark" class="title">Shiro源码分析之两种Session的方式</a>
					<div>
						1.Shiro默认的Session处理方式 &lt;!-- 定义 Shiro 主要业务对象 --&gt; &lt;bean id=&quot;securityManager&quot; class=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJQnQ3.html" rel="bookmark" class="title">&lbrack;转&rsqb;分布式计算框架综述</a>
					<div>
						本来是发表到科技论在线的,谁知道被退稿了,那就发到这里来吧. 0      引言 随着互联网的发展,web2.0时期[1]的到来,人类正式进入了信息爆炸时期的.海量的信息在很多应用都会出现,比如一些社 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvAWx0.html" rel="bookmark" class="title">Android开发系列（二）：短信发送器的实现</a>
					<div>
						我们要实现的目标是:做一个短信发送器 界面: 因为要涉及到短信发送这种属于隐私的问题,所以我们要在AndroidManifest.xml中添加一行代码,来获得权限: &lt;uses-permissi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mldzM.html" rel="bookmark" class="title">不孤独的程序猿是可耻的</a>
					<div>
						刘振宇是一个技术牛人,以前担任过赢时通科技开发部总经理.A8 音乐实验室总监.一头另类的长发和轮廓分明的眉眼,刘振宇有着绝对让人过目不忘的外型. 小编第一次跟刘振宇打交道是在几天前就我们的全球创客马拉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qwBD0.html" rel="bookmark" class="title">Intellj idea 最常用的快捷键</a>
					<div>
						最常用快捷键 * 赶快收藏一份吧 1.Ctrl+E,可以显示最近编辑的文件列表 2.Shift+Click可以关闭文件 3.Ctrl+[或]可以跳到大括号的开头结尾 4.Ctrl+Shift+Back ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wR7d10.html" rel="bookmark" class="title">struts2 基本流程</a>
					<div>
						一.配置过程 1.在web.xml中配置过滤器 &lt;filter&gt; &lt;filter-name&gt;StrutsPrepareAndExecuteFilter&lt;/filter-n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz116O4.html" rel="bookmark" class="title">二分图行列匹配与最大匹配必须边</a>
					<div>
						hdu1287 题意:在棋盘上放置车,要求车不能相互攻击,即要求车要在不同的行和列,二分图行列匹配 但是又问,那些点如果不放置车,就不能形成最大匹配,即哪些边是最大匹配的必须边 判断是否是最大匹配的必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylmgL4.html" rel="bookmark" class="title">021位操作1（keep it up）</a>
					<div>
						给定两个32位的数,N和M,还有两个指示位的数,i和j. 写程序使得N中第i位到第j位的值与M中的相同(即:M变成N的子串且位于N的第i位和第j位之间) 例子: 输入: N = 10000000000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2xoB3.html" rel="bookmark" class="title">我是如何初体验uglifyjs压缩JS的</a>
					<div>
						一.故事总有其背景 年末将至,很多闲适的时间,于是刷刷微博,接触各种纷杂的信息——美其名曰“学习”.运气不错,遇到了一个新名词,uglifyjs. 据说是用来压缩JS文件的,据说还能优化JS,据说是基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2OoQ3.html" rel="bookmark" class="title">01分数规划&plus;spfa判负环 POJ3621 Sightseeing Cows</a>
					<div>
						Sightseeing Cows Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 10348   Accepted: 3539 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1JQl4.html" rel="bookmark" class="title">北大poj- 1006</a>
					<div>
						生理周期 Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 133189   Accepted: 42577 Descripti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65RAv4.html" rel="bookmark" class="title">djshjhgd和看就的时刻鸡冠花</a>
					<div>
						﻿﻿ http://bangumi.tv//group/topic/65273 http://bangumi.tv//group/topic/65297 http://bangumi.tv//grou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ZpDn0.html" rel="bookmark" class="title">计算机网络物理层</a>
					<div>
						1.物理层基础概念: 解决如何在连接各种计算机的传输媒体上传输数据bit流(而不是指具体的传输媒体)! 2.物理层主要任务: 确定传输媒体的接口的一些特性,即: 机械特性:如接口形状.大小,引线数目: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mym1GmM.html" rel="bookmark" class="title">linux根据进程名查询是否正在运行</a>
					<div>
						查询当前运行进程中是否有指定进程有多种方式,下面介绍一种通过进程名获取进程号,以此来确认该进程是否在运行. 如下实例,查询当前运行进程中是否有test进程在运行. char buf[200]={0}; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZNpmZ3.html" rel="bookmark" class="title">Java程序员面试准备</a>
					<div>
						其实本来真的没打算写这篇文章,主要是LZ得记忆力不是很好,不像一些记忆力强的人,面试完以后,几乎能把自己和面试官的对话都给记下来.LZ自己当初面试完以后,除了记住一些聊过的知识点以外,具体的内容基本上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdgKY0.html" rel="bookmark" class="title">算法分析-动态规划</a>
					<div>
						1 var p = [1, 5, 8, 9, 10, 17, 17, 20, 24, 30]; 2 3 var obj = Cut(p, 50); 4 console.log(obj.m) 5 fun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYnaKM.html" rel="bookmark" class="title">修改MAC地址蹭网攻略</a>
					<div>
						打开 控制面板——网络与共享中心——本地连接,右键点击 属性——配置——高级.选择 网络地址——修改值(输入新的MAC地址,可以只更改最后一位数字或字母).点击 确定 修改完成,此时本机的MAC 地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmN8RP0.html" rel="bookmark" class="title">LintCode&lowbar;111 爬楼梯</a>
					<div>
						题目 假设你正在爬楼梯,需要n步你才能到达顶部.但每次你只能爬一步或者两步,你能有多少种不同的方法爬到楼顶部? 比如n=3,1+1+1=1+2=2+1=3,共有3中不同的方法 返回 3 1 2 3 5 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
